<ng-template #messageModal let-modal>
  <div class="modal-header">
    <h4 class="modal-title" id="message-modal-title">{{modalTitle}}</h4>
    <button type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click')"></button>
  </div>
  <div class="modal-body">
    <app-message-form [recipient]="review.user" (value)="onMessage($event,modal)"></app-message-form>
  </div>
</ng-template>
<div class="card">
  <div class="card-body">
    <h5 class="card-title">by {{review.user?.username}} &lt;{{review.user?.email}}&gt;</h5>
    <h6 *ngIf="review" class="card-subtitle mb-2 text-muted">status: {{getStatusKey(review)}} on {{getStatusDate(review) | date :'medium'}}
    </h6>
    <div class="card-text">
      <label for="report" class="form-label">Review report</label>
      <div *ngIf="review.report; then report_link else no_report_link"> </div>
      <ng-template #report_link>
        <input id="selected_for_author" type="checkbox" class="ms-3 form-check-inline" [(ngModel)]="review.selected_for_author">
        <label for="selected_for_author" class="form-label">selected for author</label>
        <div class="input-group mb-3">
          <a [href]="review.report" target="_blank" [class]="'form-control' + (review.selected_for_author ? ' bg-success text-light' : '')" id="report">report on {{review.publication!['artefact'].object.name}}</a>
        </div>
      </ng-template>
      <ng-template #no_report_link>
        <div class="input-group mb-3">
          <span class="form-control text-warning" id="report">not yet available</span>
        </div>
      </ng-template>
    </div>
    <button type="button" class="btn btn-primary me-3 mb-3" (click)="do(messageModal, message, 'Send message')">Message</button>
    <button *ngIf="getStatusKey(review)!='CANCELED'" type="button" class="btn btn-outline-warning me-3 mb-3" (click)="do(messageModal, cancel, 'Cancel review')">Cancel review</button>

    <ngb-accordion #acc="ngbAccordion" activeIds="ngb-panel-0">
      <ngb-panel title="Review logs">
        <ng-template ngbPanelContent>
          <app-review-log [object]="reviewLog" *ngFor="let reviewLog of review.review_logs">
          </app-review-log>
        </ng-template>
      </ngb-panel>
    </ngb-accordion>
  </div>
</div>

